USB_GADGET_SET_SELFP(9)

NAME
usb_gadget_set_selfpowered - sets the device selfpowered feature.

SYNOPSIS

int usb_gadget_set_selfpowered(struct usb_gadget * gadget);

ARGUMENTS

gadget
    the device being declared as self-powered

DESCRIPTION

this affects the device status reported by the hardware driver to reflect that it now has a local power supply.

returns zero on success, else negative errno.

AUTHOR

David Brownell <dbrownell@users.sourceforge.net>
    Author.

COPYRIGHT